Debian Bug report logs - #602787
Missing dependency: libwww-perl

version graph

Package: backuppc; Maintainer for backuppc is Ludovic Drolez <ldrolez@debian.org>; Source for backuppc is src:backuppc.

Reported by: Amos Jeffries <amos@treenet.co.nz>

Date: Mon, 8 Nov 2010 05:27:01 UTC

Severity: serious

Found in version backuppc/3.2.0-1

Fixed in version backuppc/3.2.0-1.1

Done: Patrick Winnertz <winnie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#602787; Package backuppc. (Mon, 08 Nov 2010 05:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Amos Jeffries <amos@treenet.co.nz>:
New Bug report received and forwarded. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Mon, 08 Nov 2010 05:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amos Jeffries <amos@treenet.co.nz>
To: submit@bugs.debian.org
Subject: Missing dependency: libwww-perl
Date: Mon, 08 Nov 2010 18:14:00 +1300
Package: backuppc
Version: 3.2.0-1
Severity: serious

Backuppc 3.2.0 depends on File/Listing.pm which is now in libwww-perl.

This missing dependency renders the backup engine completely unable to 
fetch files with the following errors:

Can't locate File/Listing.pm in @INC (@INC contains: 
/usr/share/backuppc/lib /etc/perl /usr/local/lib/perl/5.10.1 
/usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 
/usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at 
/usr/share/backuppc/lib/BackupPC/Xfer/Ftp.pm line 48.
BEGIN failed--compilation aborted at 
/usr/share/backuppc/lib/BackupPC/Xfer/Ftp.pm line 48.
Compilation failed in require at 
/usr/share/backuppc/lib/BackupPC/Xfer.pm line 46.
BEGIN failed--compilation aborted at 
/usr/share/backuppc/lib/BackupPC/Xfer.pm line 46.
Compilation failed in require at /usr/share/backuppc/bin/BackupPC_dump 
line 92.
BEGIN failed--compilation aborted at 
/usr/share/backuppc/bin/BackupPC_dump line 92.




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#602787; Package backuppc. (Sat, 27 Nov 2010 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Friedli <adi@koalatux.ch>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Sat, 27 Nov 2010 20:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 602787@bugs.debian.org (full text, mbox):

From: Adrian Friedli <adi@koalatux.ch>
To: 602787@bugs.debian.org
Subject: libwww-perl dependency patch
Date: Sat, 27 Nov 2010 20:57:38 +0100
[Message part 1 (text/plain, inline)]
I could reproduce the bug and tested the diff.

Greetings from the BSP in Bern
[602787.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#602787; Package backuppc. (Sun, 28 Nov 2010 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Oswald <xoswald@debian.org>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Sun, 28 Nov 2010 00:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 602787@bugs.debian.org (full text, mbox):

From: Xavier Oswald <xoswald@debian.org>
To: 602787@bugs.debian.org
Cc: Adrian Friedli <adi@koalatux.ch>
Subject: backuppc: diff for NMU version 3.2.0-1.1
Date: Sun, 28 Nov 2010 01:33:57 +0100
[Message part 1 (text/plain, inline)]
tags 602787 + pending
thanks

Dear maintainer,

I've uploaded an NMU for backuppc (versioned as 3.2.0-1.1) done by 
Adrian Friedli <adi@koalatux.ch> and uploaded it to DELAYED/2. Please feel free
to tell me if I should delay it longer.

Regards.
-- 
Xavier Oswald <xoswald@debian.org>
GNU/Linux Debian Developer - http://www.debian.org/
GPG key ID: 0x464B8DE3
[backuppc-3.2.0-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Xavier Oswald <xoswald@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 00:36:04 GMT) Full text and rfc822 format available.

Reply sent to Patrick Winnertz <winnie@debian.org>:
You have taken responsibility. (Fri, 03 Dec 2010 14:54:08 GMT) Full text and rfc822 format available.

Notification sent to Amos Jeffries <amos@treenet.co.nz>:
Bug acknowledged by developer. (Fri, 03 Dec 2010 14:54:09 GMT) Full text and rfc822 format available.

Message #22 received at 602787-close@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 602787-close@bugs.debian.org
Subject: Bug#602787: fixed in backuppc 3.2.0-1.1
Date: Fri, 03 Dec 2010 14:50:48 +0000
Source: backuppc
Source-Version: 3.2.0-1.1

We believe that the bug you reported is fixed in the latest version of
backuppc, which is due to be installed in the Debian FTP archive:

backuppc_3.2.0-1.1.diff.gz
  to main/b/backuppc/backuppc_3.2.0-1.1.diff.gz
backuppc_3.2.0-1.1.dsc
  to main/b/backuppc/backuppc_3.2.0-1.1.dsc
backuppc_3.2.0-1.1_all.deb
  to main/b/backuppc/backuppc_3.2.0-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602787@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrick Winnertz <winnie@debian.org> (supplier of updated backuppc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 26 Nov 2010 14:37:21 +0100
Source: backuppc
Binary: backuppc
Architecture: source all
Version: 3.2.0-1.1
Distribution: unstable
Urgency: low
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Changed-By: Patrick Winnertz <winnie@debian.org>
Description: 
 backuppc   - high-performance, enterprise-grade system for backing up PCs
Closes: 602787
Changes: 
 backuppc (3.2.0-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add depends on libwww-perl (Closes: #602787)
Checksums-Sha1: 
 e2501fe04f2657044929c7f4ee7922fe3586277a 1013 backuppc_3.2.0-1.1.dsc
 c79f4f9baefecbcacc7467310089f9dd4ab8fd06 26818 backuppc_3.2.0-1.1.diff.gz
 c2a873846597f2008a31ad156c247e430f5fc66d 601992 backuppc_3.2.0-1.1_all.deb
Checksums-Sha256: 
 95324fdf14094eb4a800c38e8befe23dbc912f694d100cbcd30e3340d997b57d 1013 backuppc_3.2.0-1.1.dsc
 ae69f2cc8107b359cf3271dc3bfed82bd29acc4aeeb55afcb2e5aa51ce156139 26818 backuppc_3.2.0-1.1.diff.gz
 e2dfedf04f4a324f0c90483a0a18076735cdbcc1e5a84bebd0daeba29e238179 601992 backuppc_3.2.0-1.1_all.deb
Files: 
 f145b5cb2714fa216d82b2243817d115 1013 utils optional backuppc_3.2.0-1.1.dsc
 d0b0c2cc42ce5679adf8816ac838689b 26818 utils optional backuppc_3.2.0-1.1.diff.gz
 bdf81e048ac420a4fe8863cb5dea3ef6 601992 utils optional backuppc_3.2.0-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzvuNsACgkQzgm26bkTFDpolgCgtRsF3DXTMR9beSxDa3BvMQMo
Jg0An0mBq62LY9e7Z+MDjOyVFMlj8ACE
=cB5a
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Jan 2011 07:33:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:27:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.